Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename destroy
%global enable_tests 1

Name:		nodejs-destroy
Version:	1.0.4
Release:	alt1_4
Summary:	Destroy a stream if possible

License:	MIT
URL:		https://github.com/stream-utils/destroy
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test/ folders are not included in the # npm tarball. Source1 is generated by running
# Source10, which pulls from the upstream github version control repository.
Source1:	tests-%{version}.tar.bz2
# Source tarball does not include LICENSE file, upstream does
Source2:	https://raw.githubusercontent.com/stream-utils/destroy/master/LICENSE
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	node
Source44: import.info

%description
Destroy a stream if possible


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# copy the LICENSE file
cp -p %{SOURCE2} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_4
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt0.1.njs.bootstrap
- bootstrap

